org.eclipse.jetty.http

## Class HttpVersions

- java.lang.Object
- - org.eclipse.jetty.http.HttpVersions

    public class HttpVersions
    extends Object

### Field Summary

Fields
`static BufferCache` `CACHE`
`static String` `HTTP_0_9`
`static Buffer` `HTTP_0_9_BUFFER`
`static int` `HTTP_0_9_ORDINAL`
`static String` `HTTP_1_0`
`static Buffer` `HTTP_1_0_BUFFER`
`static int` `HTTP_1_0_ORDINAL`
`static String` `HTTP_1_1`
`static Buffer` `HTTP_1_1_BUFFER`
`static int` `HTTP_1_1_ORDINAL`

### Constructor Summary

Constructors
Constructor and Description
`HttpVersions()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HTTP_0_9

    public static final String HTTP_0_9

See Also:
  Constant Field Values

#### HTTP_1_0

    public static final String HTTP_1_0

See Also:
  Constant Field Values

#### HTTP_1_1

    public static final String HTTP_1_1

See Also:
  Constant Field Values

#### HTTP_0_9_ORDINAL

    public static final int HTTP_0_9_ORDINAL

See Also:
  Constant Field Values

#### HTTP_1_0_ORDINAL

    public static final int HTTP_1_0_ORDINAL

See Also:
  Constant Field Values

#### HTTP_1_1_ORDINAL

    public static final int HTTP_1_1_ORDINAL

See Also:
  Constant Field Values

#### CACHE

    public static final BufferCache CACHE

#### HTTP_0_9_BUFFER

    public static final Buffer HTTP_0_9_BUFFER

#### HTTP_1_0_BUFFER

    public static final Buffer HTTP_1_0_BUFFER

#### HTTP_1_1_BUFFER

    public static final Buffer HTTP_1_1_BUFFER

### Constructor Detail

#### HttpVersions

    public HttpVersions()